Package org.eclipse.emf.spi.cdo

# Interface CDOPermissionUpdater2

All Superinterfaces:
  `CDOPermissionUpdater`

public interface CDOPermissionUpdater2 extends CDOPermissionUpdater
A `permission updater` that can take a `commit info` into account.

Since:
  4.18
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.spi.cdo.CDOPermissionUpdater

`SERVER`

## Method Summary

Modifier and Type
Method
Description
`Map<CDORevision,CDOPermission>`
`updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions, CDOCommitInfo commitInfo)`

### Methods inherited from interface org.eclipse.emf.spi.cdo.CDOPermissionUpdater

`updatePermissions`

## Method Details

### updatePermissions

Map<CDORevision,CDOPermission> updatePermissions(InternalCDOSession session, Set<InternalCDORevision> revisions, CDOCommitInfo commitInfo)